%
% Aplicacao do metodo de Gauss-Newton para a resolucao do
% problema de minimos quadrados min R(x)^tR(x)/2.
%
% L. N. Vicente, Setembro de 2004.
%
%
x     = pontoinicialR;
R     = FuncaoR(x);
J     = JacobianaR(x);
g     = J'*R;
normg = norm(g);
%
k = 0;
disp('----------------------------');
disp(' Iteracao    norma(R(x))^2/2');
disp(sprintf('    %2.0f         %9.4e',k,normg));
%
while (normg > 1e-10) 
%  
    %p     = - (J'*J) \ g;
    p     = - (J'*J + Hessiana(x)) \ g;
    x     = x + p;
    R     = FuncaoR(x);
    J     = JacobianaR(x);
    g     = J'*R;
    normg = norm(g);
    k     = k + 1;
%
    disp(sprintf('    %2.0f         %9.4e',k,normg));
%
end
%
disp('----------------------------');
% Fim.
