function H = Hessiana(x);
%
% Calcula o valor da matriz Hessiana H(x) de R(x)^tR(x)/2.
%
% Input:  vector x com n componentes.
%
% Output: matriz n-por-n H = H(x).
%
% L. N. Vicente, Setembro de 2004.
%
H = (exp(x)-2)*exp(x) + (exp(2*x)-4)*4*exp(2*x) ...
                      + (exp(3*x)-(-8))*9*exp(3*x);
%
% Fim de Hessiana.